Workspace Identity Detail
A user, service principal, or group's status in a workspace, and whether it has access to the
workspace directly or through a group. Update it to activate or deactivate a user or service
principal in the workspace. To address it, put its resource name in the URL:
GET /api/2.0/identity/principals/{principal_id}/workspace-identity-detail.
WorkspaceIdentityDetail object
A user, service principal, or group's status in a workspace, and whether it has access to the
workspace directly or through a group. Update it to activate or deactivate a user or service
principal in the workspace. To address it, put its resource name in the URL:
GET /api/2.0/identity/principals/{principal_id}/workspace-identity-detail.
- namestringIDImmutable
The resource name of the workspace identity detail, in the format
principals/{principal_id}/workspace-identity-detail.
- principal_idint64Output only
The Databricks ID of the user, service principal, or group.
- principal_typestringOutput only
Whether the principal is a user, service principal, or group.
USERSERVICE_PRINCIPALGROUP
- workspace_identity_statusstring
Whether the principal is active in the workspace. Groups are always
ACTIVE.ACTIVEINACTIVE
- assignment_typestringOutput only
Whether the principal is assigned to the workspace directly or has access through a group.
DIRECTINDIRECT
Get workspace identity details for a principal GA
GET
Gets a principal's status in this workspace and whether it has access directly or through a group. Returns an error if the principal doesn't have access to the workspace.
API scopes: identity
Parameters
- namestringRequiredpath
The resource name of the workspace identity detail, in the format
principals/{principal_id}/workspace-identity-detail.
Response
Returns the WorkspaceIdentityDetail object.
Update workspace identity details for a principal GA
PATCH
1 more path
PATCH
Activates or deactivates a user or service principal in this workspace. You can only update
workspace_identity_status. You can't change your own status or the status of a group.
API scopes: identity
Parameters
- namestringRequiredIDImmutablepath
The resource name of the workspace identity detail, in the format
principals/{principal_id}/workspace-identity-detail.
- update_maskstringRequiredquery
The fields to update. The only supported field is
workspace_identity_status.
Request body
The workspace identity detail to update. Its name identifies the principal.
- workspace_identity_statusstring
Whether the principal is active in the workspace. Groups are always
ACTIVE.ACTIVEINACTIVE
Response
Returns the WorkspaceIdentityDetail object.